#include "stdafx.h"
#include "CoreValueManager.h"
#include "Registry.h"
#include "ObserverTool.h"
#include "../../../common/corevalueregistryconst.h"

BOOL CoreValueManager::SetStartPage( LPCTSTR url, tipcommon::IStatManager *statManager)
{
	CoreValueObserverTool::StartPageObserver observer;
	BOOL bRet = observer.SetCoreValueImpl(url);
	if (bRet)
		statManager->SendStartPageLog();
	return bRet;
}

BOOL CoreValueManager::IsNaverStartPage( LPCTSTR url )
{
	CoreValueObserverTool::StartPageObserver observer;
	observer.SetStartPage(url);
	return observer.IsCoreValue();
}

CString CoreValueManager::GetDefaultSearchUrlRegName(LPCTSTR guid)
{
	CString defaultserach_url = SUBKEY_SEARCH_SCOPES;
	defaultserach_url += _T("\\");
	defaultserach_url += guid;

	return defaultserach_url;
}


BOOL CoreValueManager::SetDefaultSearch( LPCTSTR name, LPCTSTR guid, LPCTSTR url, tipcommon::IStatManager *statManager)
{
	CoreValueObserverTool::DefaultSearchObserver observer;
	BOOL bRet = observer.SetCoreValueImpl( name, url, guid );
	if (bRet)
		statManager->SendDefaultSearchLog();
	return bRet;
}

BOOL CoreValueManager::IsNaverDefaultSearch( LPCTSTR guid, LPCTSTR url )
{
	CoreValueObserverTool::DefaultSearchObserver observer;
	observer.SetDisplayName(IE_SEARCH_DISPLAYNAME);
	observer.SetSearchGUID(guid);
	observer.SetSearchUrl(url);
	return observer.IsCoreValue();
}

BOOL CoreValueManager::IsIEVersion70()
{
	CRegKey regkey;
	if ( regkey.Open(HKEY_LOCAL_MACHINE, _T("SOFTWARE\\Microsoft\\Internet Explorer\\Version Vector"), KEY_READ ) != ERROR_SUCCESS )
		return FALSE;

	TCHAR szIEVersion[MAX_PATH];
	ULONG ulSize = MAX_PATH;
	regkey.QueryStringValue(_T("IE"), szIEVersion, &ulSize);

	if ( szIEVersion[0] >= _T('7') )
		return TRUE;
	else
		return FALSE;
}

